2009-04-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab-dialog-scan-props.ui: (added ui file)
	* data/baobab-main-window.ui: (added ui file)
	* src/gedit-spinner.c: (#578631) Throbber rest icon not found


2009-04-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* data/Makefile.am:
	* data/baobab.glade:
	* src/Makefile.am:
	* src/baobab-prefs.c (create_props), (create_tree_props):
	* src/baobab-treeview.c (create_directory_treeview):
	* src/baobab-utils.c (set_ui_action_sens), (set_ui_widget_sens),
	(show_label):
	* src/baobab-utils.h:
	* src/baobab.c (check_menu_sens), (baobab_scan_location),
	(set_toolbar_visible), (set_statusbar_visible),
	(baobab_create_toolbar), (baobab_create_statusbar), (baobab_init),
	(initialize_ringschart), (main):
	* src/baobab.h:
	* src/callbacks.c (on_view_sb_activate):
	* src/callbacks.h:
	Port to GtkBuilder (#577940).

2009-04-03  Fabio Marzocca  <thesaltydog@gmail.com>

	Patch contributed by  Gabor Kelemen <kelemg@mate.hu>
	* src/callbacks.c: (on_about_activate):
	(#577714) - Licence text not translatable

2009-03-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-prefs.c: (fill_props_model):
	Do not show gvfs fuse filesystem in pref dialog (#574105)

2009-02-04  Vincent Untz  <vuntz@gnome.org>

	* src/baobab-chart.c: (baobab_chart_get_pixbuf),
	(baobab_chart_get_summary_mode), (baobab_chart_is_frozen),
	(baobab_chart_get_highlighted_item): use g_return_val_if_fail instead
	of g_return_if_fail. Part of bug #570422.

2009-01-27  Fabio Marzocca  <thesaltydog@gmail.com>

	* AUTHORS:
	* src/callbacks.c: (on_about_activate):
	Updated authors

2009-01-15  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (start_proc_on_command_line):
	Crash with segfault when trying to performe "scan folder" 
	on a partition which is NOT included in "folders to scan"
	(#567834)
	
2008-12-03  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/baobab-cell-renderer-progress.h:
	* src/baobab-chart.h:
	* src/baobab-remote-connect-dialog.h:
	* src/gedit-spinner.c:
	* src/gedit-spinner.h:
	Use single GTK+ includes. Patch by Maxim Ermilov (#561257).

2008-11-22  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-prefs.c: (check_toggled):
	Now root partition cannot be unselected.


2008-11-22  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	Fix excluded locations sanity check.
	(#560476)	
	
2008-11-22  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c: (baobab_is_excluded_location):
	Fix logic bug that made it return always FALSE.

2008-10-26  Cosimo Cecchi  <cosimoc@gnome.org>

        * src/baobab-utils.c:
        (baobab_help_display):
        Plug a mem leak.

2008-10-26  Cosimo Cecchi  <cosimoc@gnome.org>

        * src/Makefile.am:
        * src/baobab-mount-operation.c: Removed.
        * src/baobab-mount-operation.h: Removed.
        * src/baobab-remote-connect-dialog.c:
        (connect_server_dialog_present_uri):
        * src/baobab-utils.c:
        (baobab_help_display):
        * src/baobab.c:
        (main):
	Drop libmate dependency (#557264).

2008-10-26  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-scan.c:
	* src/baobab-scan.h:
	* src/baobab-utils.c: (baobab_check_dir), (is_virtual_filesystem):
	* src/baobab-utils.h:
	Fixes #557226: scanning /sys folder

2008-10-04  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-treeview.c: 
	check if folder exists. Patch by Kristian Rumberg.
	Fixes #554996

2008-10-04  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c: small cleanup patch by Kristian Rumberg.

2008-09-11  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-remote-connect-dialog.c:
	  Translators warning added

2008-09-01  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-prefs.c: (fill_props_model):
	skip gvfs fuse mounts in Preferences dialog.

2008-08-30  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c: Skip all subdirs of ~/.gvfs in order to avoid
	scanning gvfs fuse mounts as local files. It would be cool to have
	a less hackish way to do it. Fixes #533878

2008-08-04  Paolo Borelli  <pborelli@katamail.com>

	Patch contributed by Eduardo Lima <elima@igalia.com>, bug #541407

	* src/baobab-chart.c:
	* src/baobab.c:
	* src/baobab-ringschart.c:
	* src/baobab-chart.h:
	* src/baobab.h:
	* src/baobab-rngschart.h:
	* src/callbacks.c:
	* src/callbacks.h:

	Reimplemeny the ringschart as a subclass of BaobabChart.

2008-07-25  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c: do not leak file info when stopping scan.

2008-07-25  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-treemap.c: include headers to fix compiler warnings.

2008-07-25  Fabio Marzocca  <thesaltydog@gmail.com>

	Patch contributed by Matthias Clasen <mclasen@redhat.com>, bug #544637
	USe standard icon names
	
	* src/gedit-spinner.c:

2008-07-13  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.1: fixed a typo on email address.

2008-06-30  Alejandro G. Castro <acastro@igalia.com>

	* src/baobab-treemap.h: Fixed a typo applying the last patch.

2008-06-28  Alejandro G. Castro <acastro@igalia.com>

	Patch contributed by Eduardo Lima <elima@igalia.com>, bug #530512

	Implemented a new treemap object and moved into the main window,
	now we can select with a combobox in the main window which graph
	we want: ringschart or treemap. We have used the ringschart code
	in order to create a new abstract class and the new treemap just
	inherits from it and changes the rendering, in the near future we
	will change the ringschart in order to use this new abstract
	class.

	* data/baobab.glade:
	* src/Makefile.am:
	* src/baobab-graphwin.c:
	* src/baobab-graphwin.h:
	* src/baobab-tree-map.c:
	* src/baobab-tree-map.h:
	* src/baobab-treeview.c
	(on_tv_cur_changed),
	(on_tv_button_press):
	* src/baobab-utils.c
	(popupmenu_list):
	* src/callbacks.h:
	* src/callbacks.c
	(on_tv_selection_changed),
	(on_move_upwards_cb),
	(on_zoom_in_cb),
	(on_zoom_out_cb),
	(on_chart_type_change):
	Removed files, code and options in the menu that were used to show
	the old treemap. Notice we have removed MateCanvas dependency
	which was removed in the configure.ac file

        * src/baobab-chart.c:
        * src/baobab-chart.h:
        * src/baobab-treemap.c:
        * src/baobab-treemap.h:
	New objects, the chart is the new abstract class, the treemap is
	the new graphical representation, treemap inherits from chart. As
	we said before the code from chart is copied from ringschart, in
	the near future we must change ringschart in order to inherit also
	from chart.

	* src/baobab.h:
	* src/baobab.c
	(baobab_set_busy),
	(check_menu_sens),
	(baobab_scan_location),
	(initialize_ringschart),
	(main):
	Added the code to manage the new treemap in the program.

2008-05-14 Alejandro G. Castro <acastro@igalia.com>

	* data/baobab.schemas.in: Fixed a misspelled sentence describing
	the goal of one mateconf key (#532479)

2008-05-11  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-utils.c: 
	* src/baobab-utils.h:
	
	Fixed trash logic

2008-05-11 Alejandro G. Castro <acastro@igalia.com>

	* src/baobab-ringschart.c: Added a new extended timeout for the
	subfolders tooltips. A memory leak and some small style
	modifications.
	(draw_tooltips): extended the condition for drawing the subfolders
	tooltips, we do not draw them until the second timeout.
	(draw_folder_tip): Fixed a memory leak.
	(baobab_ringschart_no_pointer_motion): Added a second timeout
	where we set to TRUE the draw_children_tooltips variable.	
	
2008-05-11 Alejandro G. Castro <acastro@igalia.com>

	* src/baobab.c:
	(baobab_stop_scan): Remove three lines setting the status of the
	application from this function, baobab_scan_location is already
	doing these actions, so the functions were called twice.
	
2008-05-08 Alejandro G. Castro <acastro@igalia.com>

	Patch cotributed by Victor Jaquez <vjaquez@igalia.com>
	
	* src/baobab-ringschart.c (bug #528165):
	(baobab_ringschart_expose): Added code to control Enhance the
	scale operation of the screenshot image, not it scales properly.
	
2008-05-08 Alejandro G. Castro <acastro@igalia.com>

	Patch contributed by Felipe Erias <femorandeira@igalia.com>, Pablo
	Santamaria <psantamaria@igalia.com>, Jacobo Aragunde
	<jaragunde@igalia.com> and Eduardo Lima <elima@igalia.com>
	
	Enhancement to the ringschart widget, added multiple tooltips
	support (bug #421473)

	* src/baobab.c:
	(baobab_scan_location): We set the max depth after scanning in
	order to zoom the graphic as much as possible.
	(baobab_subfolderstips_toggled): This function is a callback that
	manages changes in the mateconf key that controls the subfolders
	tips.
	(baobab_init): Monitor the mateconf subfolders tooltips key
	connecting the callback.
	(create_context_menu): Create a context menu with three actions:
	go to the parent, zoom in and zoom out.
	(initialize_ringschart): Initialize max_depth so we get the
	biggest zoom for the initial ringschart. We also get the mateconf
	value for the subfolders tips and create the context menu.

	* src/baobab.h: 
	Added a new struct to manage the context menu. Added also a new
	variable to the baobab_application struct, it is used to store the
	maximum depth of the tree we are representing.
	
	* src/baobab-ringschart.c:
	* src/baobab-ringschart.h: 	
	Added two functions to the API in order to control the new
	feature, adding subfolderstips. If we enable the subfoldertips we
	will see the tooltip for the sector (directory) under the cursor
	and tooltips for "some" of its children. 

	The way the tooltip for the sector under the cursor is painted has
	changed, now the tooltip is not painted all the time, if follows
	the cursor and the user has to stop over the sector.

	Added zoom support to the widget, it is connected to the
	scrolling.

	* src/callbacks.c:
	* src/callbacks.h:	
	(on_rchart_button_release): Callback that handles the context
	sensitive menu.
	(on_move_upwards_cb): Callback for an option in the menu, it tries
	to go to parent of the current directory.
	(on_zoom_in_cb): Callback for an option in the menu, it decreases
	the maximum depth of the ringschart, that way the graphic is
	bigger because we paint less levels.
	(on_zoom_out_cb): Callback for an option in the menu, it increases
	the maximum depth of the ringschart, that way the graphic is
	smaller because we paint more levels.

	* src/baobab-scan.c: 
	Added a new parameter to the allsizes struct in order to calculate
	the depth of the tree.
	(loopdir): Added a new parameter in order to calculate the depth
	of the tree.
	(baobab_scan_execute): Store the maximum depth of the tree we have
	scanned in the application structure. We will use it to calculate
	the proper zoom for the tree.
	
2008-05-05  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/Makefile.am:
	* src/baobab-mount-operation.c: 
	* src/baobab-mount-operation.h:
	* src/baobab-remote-connect-dialog.c:
	* src/baobab-scan.c: 
	
	Added module baobab-mount-operation to handel remote volumes mounts.
	Fixed permission check on loopdir

2008-05-05  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-remote-connect-dialog.c:
	Fixed extra-line in mount_enclosing_ready_cb

2008-05-04  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-remote-connect-dialog.c:
	More fixups for the dialog

2008-05-04  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-remote-connect-dialog.h:
	* src/baobab.c:
	
	Finished clean-up for mate-vfs

2008-05-04  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-remote-connect-dialog.c:
	* src/baobab-remote-connect-dialog.h:
	* src/callbacks.c:
	First cut at gio port of the remote connect dialog (mostly borrowing
	code from caja).

2008-05-03  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	* src/baobab-scan.c:
	* src/baobab-treeview.c:
	* src/baobab-treeview.h:
	* src/callbacks.c:
	Store the parse name in the model so that we do not have to use
	path or uri condtionally to the fact that the file is local or remote.

2008-05-03  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	* src/baobab-scan.c:
	get the display name from gio instead of manually getting the basename.
	Also be robust to the fact that remote files have no path, so that
	needs to be checked before comparin with "/proc".

2008-05-03  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	now that baobab-scan has been ported to gio baobab_is_excluded_dir
	can be removed.

2008-05-03  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab-scan.c:
	* src/baobab-utils.c:
	Some leak fixes and cleanups by Cosimo Cecchi.

2008-05-02  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c: pass in the GFileInfo to the recursive loop
	to avoid to call stat() again on each file.

2008-05-02  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	Ref the location before rescanning otherwise the current location
	gets finalized. Also make sure the Rescan button is insensitive when
	there is no current location. 

2008-05-02  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c:
	* src/baobab-scan.h:
	* src/baobab.c:
	Rename getDir to baobab_scan_execute and make it take a GFile.

2008-05-02  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-scan.c: 
	Main scanning module migrated to Gio
	Based on a patch by Patrick Hulin, bug #511148.

2008-05-02  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	* src/callbacks.c:
	Make the cursor busy in the set_busy function.

2008-05-02  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-graphwin.c: polished
	* src/baobab-prefs.c: completed Gio Migration

2008-05-01  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.schemas.in:
	* src/baobab-prefs.c: 
	* src/baobab-prefs.h:
	* src/baobab-utils.c: 
	* src/baobab.h:
	
	The mateconf key <noscan> is now deprecated. 
	The new key <skip_scan_uri_list> took over.
	baobab.excluded_dirs GSList of paths is now replaced 
	by baobab.excluded_location as a GSList of GFile*.

2008-05-01  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c:
	* src/baobab-treeview.c:
	* src/callbacks.c:
	Factor out a can_trash_file util and use the proper display name
	when showing an error about failed trashing of a file.

2008-05-01  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c:
	* src/baobab.c:
	* src/baobab.h:
	* src/callbacks.c:
	Rename "start_proc_on_location" to "baobab_scan_location" for
	consistency with the rest of the API and move the stop_scan method
	to the main baobab API.

2008-05-01  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c:
	* src/baobab.c:
	* src/baobab.h:
	* src/baobab-prefs.c:
	* src/baobab-scan.c:

	Make the list of excluded dirs private to baobab.c in preparation
	to turn it into a list of GFiles.

2008-04-29  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-remote-connect-dialog.c:
	* src/baobab-remote-connect-dialog.h:
	Add a getter for the selected uri instead of abusing of 
	'last_scan_command'

	* src/baobab-utils.c:
	use baobab_rescan_current_dir instead of open coding it

	* src/baobab.c:
	* src/baobab.h:
	Remove last_scan_command and use a private GFile location to remember
	the current scan. Factor out functions to scan home and root.

	* src/callbacks.c
	Adapt to the above changes

2008-04-30  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-prefs.c: (fill_props_model):
	* src/baobab.c: (baobab_init), (baobab_shutdown):
	* src/callbacks.c: (volume_changed), (contents_changed_cb):
	* src/callbacks.h:

	Gio migration
		
2008-04-29  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-treeview.c: (on_tv_button_press):
	* src/baobab-utils.c: (filechooser_cb), (show_bars),
	(baobab_check_dir), (set_label_scan), (open_file_with_application),
	(trash_file), (contents_changed):
	* src/baobab-utils.h:
	* src/baobab.c: (start_proc_on_location), (rescan_current_dir),
	(baobab_init), (start_proc_on_command_line):
	* src/baobab.h:
	* src/callbacks.c: (on_menuscanhome_activate),
	(on_menuallfs_activate), (on_tbscanhome_clicked),
	(on_tbscanall_clicked), (on_tb_scan_remote_clicked),
	(open_file_cb), (scan_folder_cb):
	
	Starting Gio migration
	BUGZILLA #524573 - baobab uses ~/.Trash instead of new gvfs Trash system
	BUGZILLA #526812 - Move to deleted items puts stuff in ~/.Trash 


2008-04-14  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (rescan_current_dir):
	BUGZILLA #528084 - disk usage analyzer does not update Total filesystem 
	capacity information when clicking refresh

2008-03-26  Sebastien Bacher  <seb128@ubuntu.com>

	* src/baobab.c: (main): fix strings not marked as translatable (#523524)

2008-03-17  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/callbacks.c: (on_about_activate):
	Fixed copyright date

2008-03-11  Fabio Marzocca  <thesaltydog@gmail.com>

	* help/C/baobab.xml:
	BUGZILLA #521422 - Typo in documentation

2008-01-05  Christian Kirbach <Christian.Kirbach@googlemail.com>
  
	* pixmaps/24x24/Makefile.am (update-icon-cache): 
	* pixmaps/scalable/Makefile.am (update-icon-cache): run gtk-update-icon-cache for
  	install-hook and uninstall-hook. Fixes #436204
	Original patch by Brian Pepple <bpepple@fedoraproject.org>

2007-12-14  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c: start processing the uri given on command line in
	an idle so that the main loop is properly started. Fixes #497415.

2007-12-13  Fabio Marzocca  <thesaltydog@gmail.com>

	* help/C/baobab.xml:
        Updated help file 

2007-12-02  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-prefs.c: (filechooser_response_cb):
	BUGZILLA #501082 – Help button leads to wrong section

2007-11-22  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (baobab_create_toolbar):
        BUGZILLA #498859 - spinner size on startup 
        (by G. Dartiguelongue) 

2007-10-23  Stéphane Loeuillet  <sloeuille@svn.mate.org>

	* data/baobab.desktop.in.in: Trivial fix to .desktop file
	to conform to latest fd.o .desktop specs.
	Spoted by desktop-file-validate. Fixes #481721

2007-10-16  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-utils.c: (check_menu_sens):
	* src/baobab.c: (start_proc_on_dir), (main):
	* src/baobab.h:
        BUGZILLA #487123 - allocated space option works only once

2007-09-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/callbacks.c: (on_about_activate):
	Updated copyright information

2007-09-05  Emmanuele Bassi  <ebassi@gnome.org>

	* src/baobab-scan.c:
	BUGZILLA #473833 - Infinite recursion in /sys

2007-08-01  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-utils.c:
	BUGZILLA #462424 - baobab-utils.c unconditionally includes monetary.h

2007-07-17  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (main):
	BUGZILLA #453742 - should display a dialog when there is no disk
	mounted

2007-07-16 Alejandro G. Castro <acastro@igalia.com>

	Patch cotributed by Philippe Gauthier <philippe.gauthier@deuxpi.ca>
	
	* src/baobab-ringschart.c (bug #427126):
	(baobab_ringschart_expose): Fixed a problem with the draw of the
	frozen status of the ringschart widget, we were using the event
	information instead of the widget allocation. Added a cairo_clip
	to avoid uneeded redraws.
	
2007-06-03  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c: make sure that file chooser pointer
	is nullified upon destruction.

2007-04-02  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.desktop.in.in:
	BUGZILLA #425530 - Better tooltip required

2007-03-28  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/callbacks.c: (on_about_activate):
        BUGZILLA: #421922 - cryptic license tab 

2007-03-12  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-prefs.c: (create_props_model), (create_tree_props),
	(fill_props_model):
	* src/baobab-prefs.h:

	Added filesystem total/available size for each mount point in
        preferences window

2007-02-26  Paolo Borelli  <pborelli@katamail.com>

	* src/baoab-treeview.c:
	* src/callbacks.c:

	Resort when toggling "allocated space".

2007-02-26  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (start_proc_on_dir):

	BUGZILLA: #411867 - baobab crashed with SIGSEGV 
	in pango_fc_font_lock_face()

2007-02-08  Dennis Cranston  <dennis_cranston@yahoo.com>

	* data/baobab.glade: Add tooltip to refresh toolbar button.

2007-01-09  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-ringschart.c: do not assert that percentage
	is > 0, it can be -1 when the scan is stopped.

2007-01-04  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab-treeview.c:
	* src/baobab-ringschart.c:
	* src/baobab-utils.c:

	Turn the percentage column is a double, since ringschart
	uses it for display calculation and since the progress cell
	renderer uses doubles. Percentage set to -1 now means that
	analysis is in progress.
	Drop the percentual text string from the model, we can use
	a simple cell_data_function and save some memory.

2006-12-26  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-ringschart.c:
	* src/baobab-tree-map.c:

	Small cleanups.

2006-12-12  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-ringschart.c (baobab_ringschart_motion_notify):
	simplify logic and fix drawing problem of the central circle
	when crossing the x axis.

2006-11-05 Alejandro G. Castro <acastro@igalia.com>

	* src/baobab-ringschart.c: Changed all the M_PI constants for
	G_PI, there are some platforms where the math constants are not
	defined.
	(tree_traverse): Fixed a problem with a GtkTreePath, we were using
	g_free instead gtk_tree_path_free and it was causing a leak.
	
2006-11-05 Alejandro G. Castro <acastro@igalia.com>

        Patch cotributed by Miguel A. Gomez <magomez@igalia.com>
	
	* src/baobab-ringschart.c (bug #363608):
	(draw_tip): Changed the way the tips are drawn. Now the lines to
	the tips don't have corners, and the tips can be drawn all around
	the window (not only by the left and right edges). Made a little
	adjustment to tip rectangles in order to avoid blurry borders.

2006-11-05 Alejandro G. Castro <acastro@igalia.com>

	Patch cotributed by Miguel A. Gomez <magomez@igalia.com>
	
	* src/baobab-ringschart.c (bug #363613):
	(draw_circle): Added a new parameter 'highlighted' in order to
	draw the sector highlighted if it is selected.
	(interpolate_colors): Added a new paremeter 'color' to return the
	result of the function.
	(get_color): Added a new parameter 'highlighted' in order to get a
	highlighted color for selected sectors.
	(baobab_ringschart_draw): Modified in order to draw the center
	circle before calling 'tree_traverse'.
	(tree_traverse): Removed calls to 'draw_circle' to draw the inner
	circle.

2006-10-28  Emmanuele Bassi  <ebassi@cvs.mate.org>

	* src/baobab-utils.c (set_label_scan): drop GString usage.

2006-10-28  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c: use 512, not io_block_size.

2006-10-28  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c:
	* src/baobab-scan.h:

	Clean up a bit Hard links handling so that we just store
	inode and device in the list instead of the full
	MateVfsFileInfo.

2006-10-28  Paolo Borelli  <pborelli@katamail.com>

	* data/baobab.glade:
	* data/baobab:
	* src/baobab-utils.c:
	* src/callbacks.c:

	Add a 'Refresh' action. (bug #365086, reported by
	Matthias Clasen, first patch by Emmanuele Bassi)

2006-10-24  Fabio Marzocca  <thesaltydog@gmail.com>

	* pixmaps/Makefile.am:
	* pixmaps/alfa_sort.png:
	* pixmaps/baobab.png:
	* pixmaps/busy.gif:
	* pixmaps/done.png:
	* pixmaps/format_numeric.png:
	* pixmaps/format_percent.png:
	* pixmaps/green.png:
	* pixmaps/caja.png:
	* pixmaps/num_sort.png:
	* pixmaps/red.png:
	* pixmaps/scan_directory.png:
	* pixmaps/scan_harddisk.png:
	* pixmaps/search.png:
	* pixmaps/searchall.png:
	* pixmaps/stop.png:
	* pixmaps/white.png:
	* pixmaps/yellow.png:

	Removed obsolete pixmaps

2006-10-24  Paolo Borelli  <pborelli@katamail.com>

	* src/Makefile.am:
	* src/baobab-cell-renderer-progress.c:
	(baobab_cell_renderer_progress_init),
	(baobab_cell_renderer_progress_new),
	(baobab_cell_renderer_progress_get_property),
	(baobab_cell_renderer_progress_set_property),
	(baobab_cell_renderer_progress_get_size),
	(set_color_according_to_perc),
	(baobab_cell_renderer_progress_render),
	(baobab_cell_renderer_progress_class_init):
	* src/baobab-cell-renderer-progress.h:
	* src/baobab-treeview.c: (create_model),
	(create_directory_treeview):
	* src/baobab-treeview.h:
	* src/baobab-utils.c: (show_bars):
	* src/baobab-utils.h:
	* src/baobab.c: (prefill_model), (first_row), (fill_model):

	Use a custom cell renderer instead of the pixbuf bars

2006-10-22  Paolo Borelli  <pborelli@katamail.com>

	* src/gedit-tree-map.c: reduce memory usage, free the name
	before recursing.

2006-10-21  Paolo Borelli  <pborelli@katamail.com>

	* src/gedit-scan.c: do not fetch VfsInfo twice.

2006-10-19  Paolo Borelli  <pborelli@katamail.com>

	* src/gedit-spinner.[ch]:

	Update to the latest version of the spinner.

2006-10-19  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-scan.c: (loopdir):
	
	BUGZILLA: #351987 - Baobab hangs on directories with wrong
	premissions 

2006-10-14  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.[ch]:
	* src/baobab-utils.[ch]:
	* src/gedit-spinner.[ch]:

	Update to the latest version of the spinner and misc related
	cleanups and fixes.

2006-10-11  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-treeview.c: (create_directory_treeview):

	BUGZILLA: #355187 - Graphical usage bar does not scale
	Made usage column not-resizable.

2006-10-04  Fabio Marzocca  <thesaltydog@gmail.com>

	* AUTHORS:
	* src/callbacks.c: (on_about_activate):

	Updating authors

2006-10-02  Alejandro G. Castro  <acastro@igalia.com>

	* data/baobab.glade: Added the GtkPaned and the GtkScrolledWindow
	to the new main window in order to integrate the ringschart
	widget.
	* src/baobab-ringschart.[ch]: New widget representing a ringschart
	that is used in the main window to represent the size of
	directories. 
	* src/Makefile.am: Added the new widget to the sources list.
	* src/baobab-treeview.c: 
	(create_directory_treeview): Selection changed signal connected to
	a new callback that synchronizes the status of the treeview with
	the ringschart.
	* src/baobab.c: 
	(set_busy): Added the control of the ringschart widget when the
	scanning process starts and finishes, we can't draw the ringschart
	when the treemodel is being scanned.
	(initialize_ringschart): Added this function, it creates and
	initializes the ringschart.
	(main): Called the initialize_ringschart function.
	* src/baobab.h: Added the new attribute to the application
	structure. 
	* src/callbacks.c: 
	(on_tv_selection_changed): 
	(on_rchart_sector_activated): this two callbacks synchronize the
	treeview and the ringschart of the main window, when the user
	clicks in a row in the treeview that sector is selected in the
	ringschart.
	* src/callbacks.h: Added the include for the ringschart widget, we
	have also added the interfaces for the two new callbacks.
	
	This patch adds the ringschart view to the main window.

2006-09-22  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/callbacks.c: (on_about_activate):

	Removed old web address from About dialog

2006-09-16  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab-utils.c:
	* src/baobab-treeview.c:

	plug leaks.

2006-09-09  Dennis Cranston  <dennis_cranston@yahoo.com>

	* src/baobab-prefs.c: (create_tree_props):

	HIG fix:  Use title capitalization for column headers
	
2006-09-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* AUTHORS:
	* README:
	* TODO:
	* data/baobab.1:
	* help/C/baobab.xml:

	Removed any reference to file-search functionality in docs

2006-09-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* pixmaps/24x24/.cvsignore:
	* pixmaps/scalable/.cvsignore:

	Added cvsignore

2006-09-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-prefs.c: (create_props_model), (create_tree_props),
	(fill_props_model):
	* src/baobab-prefs.h:

	Added filesystem type in preferences dialog

2006-08-27  Dennis Cranston  <dennis_cranston@yahoo.com>

	BUGZILLA: #349187, #350457, #351185, #351534, #351538, #351540, 
	#351544, #351545, #351546, #352147 and #351532. 

	* data/baobab.glade: Remove search dialog and tab.  More HIG 
	related fixes for the graphical usage map window. Add a scan home 
	directory item to menu and toolbar.  Add expand all and collapse 
	items all items to edit menu.  In the preference dialog, add a 
	help button and rephrase a some strings.  Add a stop menu item to 
	the view menu.
	* data/baobab.dekstop.in.in: Change tooltip to match style used
	in MATE.
	* data/baobab.schemas.in:  Don't show the statusbar by default.
	* src/Makefile.am: Add baobab-spinner.[ch]
	* src/baobab-spinner.[ch]: New files for spinner widget.
	* src/baobab-graphwin.c: (graph_save_cb): HIG fixes for the save
	snapshot dialog, (baobab_graphwin_create):  HIG fixes for window
	title.
	* src/baobab-prefs.c: (props_notify): remove, (response_cb): Add
	filechooser callback to handle the close and help responses,
	(create_props):  Connect to the response signal.
	* src/baobab-remote-connect-dialog.c: (remote_connect): HIG fixes,
	(setup_for_type): Get entries from required or optional table,
	(baobab_remote_connect_dialog_init): HIG fixes for remote scan
	dialog, separate entries into required and optional categories.
	* src/baobab-scan.c: (loopsearch): Remove, (searchDir): Remove.
	* src/baobab-utils.h: Remove search functions and adjust arguments.	
	* src/callbacks.h:  Remove sort and search callbacks.  Add home
	folder scan callbacks.  Add allocated space menu item callback.
	* src/baobab-treeview.c: (on_tv_cur_changed): Remove notebook tab
	logic, (on_tv_button_press): Remove notebook tab logic,
	, (create_directory_treeview): Add column headers and setup the 
	appropriate column ids for sorting. Merge the percentage and 
	percentage bar columns into a single column.  Show horizontal
	and vertical scrollbars as needed. (baobab_treeview_equal_func): 
	Make gtk treeview "typeahead find" work, add column headers and 
	sort.
	* src/baobab-utils.c: (filechooser_cb): New function to handle 
	filechooser response, (dir_select):  Create the filechooser widget 
	once, don't show hidden folders by default. (set_bar): Fix compiler 
	warning, (check_menu_sens): toggle sensivity of expand, collapse 
	and stop menu items , (stop_scan): Remove notebook logic, 
	(show_bars):  Remove scanning message when scan is stopped,
	(message): Add primary and secondary text, (messageyesno): HIG 
	fixes, do not use yes and no buttons, instead use cancel and action
	label button, and support primary and secondary text,
	(baobab_check_dir): String fixes, (popupmenu_list): HIG fixes to 
	popup menu, and remove a redundant menu item, (set_label_scan): 
	Cleanup a string, (open_file_with_application), (trash_file), 
	(contents_changed): HIG fixes for dialogs.
	* src/baobab.h: Remove search logic.
	* src/baobab.c: (set_busy): Start or stop the spinner 
	animation, (start_proc_on_dir): Remove notebook tab logic,
	(prefill_model) Show treeview column
	headers, (first_row): Hide treeview column headers,
	(fill_model): Replace "object" with "item" to match caja' 
	terminology, add an initial bar and percentage, move scanning text
	to size and contents columns, this helps prevent resizing of the
	folder column, (baobab_init): Remove search logic, 
	(baobab_shutdown): remove search logic, (main): Add a "spring" 
	separator and the spinner widget to toolbar, set initial state 
	of the "Allocated Space" menu item.
	* src/callbacks.c: (on_menuhomedir_activate): Add callback for
	home directory scan menu item, (on_about_activate): Fix spelling,
	(on_menu_expand_activate):  Add callback to expand treeview, 
	(on_menu_collapse_activate): Add callback to collapse treeview,
	(on_tbscanhome_clicked): Add callback for home directory scan
	toolbar button, (on_menu_stop_activate): Add callback for stop
	menu item, (open_file_cb), update message() arguments, 
	(volume_changed): Remove notebook tab logic, 
	(on_ck_allocated_activate): Remove the sort callbacks, and add 
	activate callback for "Allocated Space" menu item, 
	(scan_folder_cb): update message() arguments.

2006-08-27  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab-utils.[ch]:

	do not crash if toolbar style can't be retrieved from MateConf.

2006-08-15  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c: load the white pixbuf just once instead
	of reloading it every time is needed.

2006-08-16  Wouter Bolsterlee  <uws+mate@xs4all.nl>

	* data/baobab.glade: Added Escape shortcut for the Stop
	button. Partly fixes bug #351532. Patch by Dave Meikle.

2006-08-15  Paolo Borelli  <pborelli@katamail.com>

	* data/baobab.glade: ctrl+O accel for open folder.

2006-08-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/callbacks.c: (open_file_cb):

	Fixed crash when opening a non-existent 
	folder (#350420)

2006-08-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-utils.c: (show_bars):

	Fixed hidden bug on allocated size

2006-08-07  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-treeview.c: make sure a gmarkup message is 
	escaped.

2006-08-06  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.glade:
	* src/baobab-prefs.c: (props_notify):
	* src/baobab-scan.c: (loopsearch), (searchDir):
	* src/baobab-scan.h:
	* src/baobab-treeview.c: (create_search_model),
	(on_tv_cur_changed), (on_tv_button_press),
	(create_directory_treeview), (create_filesearch_treeview):
	* src/baobab-treeview.h:
	* src/baobab-utils.c: (dir_select), (check_menu_sens), (stop_scan),
	(show_bars), (popupmenu_list), (popupmenu_list_search),
	(begin_search), (search_dialog_response), (dialog_search),
	(save_search_opt), (set_search_opt), (switch_view), (get_NB_page),
	(show_label), (set_label_search):
	* src/baobab-utils.h:
	* src/baobab.c: (start_proc_on_dir), (start_search),
	(prepare_firstcol), (fill_search_model),
	(initialize_search_variables), (filter_adv_search), (baobab_init),
	(baobab_shutdown), (main):
	* src/baobab.h:
	* src/callbacks.c: (on_menuscandir_activate),
	(on_tbscandir_clicked), (on_sort_alfa_activate),
	(on_by_sort_size_activate), (on_tb_search_clicked),
	(on_radio_allfs_clicked), (on_radio_dir_clicked),
	(on_btn_select_search_clicked), (on_search_for_a_file_activate),
	(on_notebook1_switch_page), (trash_file_cb), (list_all_cb),
	(volume_changed), (on_pref_menu), (on_by_type1_activate),
	(on_by_date1_activate):
	* src/callbacks.h:

	back out last commit, it should go on a branch

2006-07-30  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (first_row), (baobab_init):
	Commenting code and adding an assert

2006-07-30  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (is_excluded_dir), (baobab_init):
	Avoid exclusion of root dir from scanning and
	from manual mateconf entry (#348960)
	
2006-07-30  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (main):
	Trapping div by zero error when no mountpoints
	are detected.

2006-07-30  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.desktop.in.in:
	* data/baobab.glade:
	Using standard American English in app name
	(#349191)

2006-07-29  Fabio Marzocca  <thesaltydog@gmail.com>

	* pixmaps/baobab.png:
	* pixmaps/baobab.xpm:
	Changed application icon (#348663)

2006-07-27  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.desktop.in.in: 
        removed baobab from desktop appname
	(#348664 reported by Vincent Untz)

2006-07-24  Emmanuele Bassi  <ebassi@cvs.mate.org>

	* data/baobab.desktop.in.in: Add GenericName key to the
	desktop file. (#348363, reported by Matthias Clasen,
	patch by Ray Strode)

2006-07-17  Paolo Borelli  <pborelli@katamail.com>

	* src/callbacks.c
	* src/baobab-treeview.c:
	* src/baobab-tree-map.c:

	Fix compilation with gcc 2.95 (Patch by Jens Granseuer)

2006-05-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-utils.c: (popupmenu_list_search):
	* src/callbacks.c: (scan_folder_cb):
	* src/callbacks.h:

	Added new menu item in list/search window popupmenu to start
        scanning a folder directly from the list/search window

2006-05-01  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-treeview.c: (on_tv_button_press):

2006-04-28  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-treeview.c: (on_tv_button_press): fixed bug

2006-04-26  Fabio Marzocca  <thesaltydog@gmail.com>

	* help/C/baobab.xml: fixed figures
	* src/callbacks.c: (trash_dir_cb): fixed monitor logic

2006-04-21  Paolo Borelli  <pborelli@katamail.com>

	* data/baobab.glade:
	* src/baobab-utils.[ch]:
	* src/baobab-callbacks.[ch]:

	Add Help->Contents menu

2006-04-25  Fabio Marzocca  <thesaltydog@gmail.com>

	* help/C/baobab.xml: editing help file

2006-04-25  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/.cvsignore: updated

2006-04-25  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.glade:
	* src/baobab-treeview.c: (on_tv_button_press):
	* src/baobab-utils.c: (popupmenu_list), (popupmenu_list_search):
	* src/baobab-utils.h:

	Fixed: #339521: reworked logic to "delete" or "move to trash" a 
        file/folder

2006-04-25  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.1: updated man page

2006-04-23  Dennis Cranston  <dennis_cranston@yahoo.com>

	* data/baobab.glade:  Many HIG changes, including capitalization, 
	widget layout, menu layout, and more. 
	* src/baobab-remote-connect-dialog.c:
	(baobab_remote_connect_dialog_init):  Fix window title 
	capitalization.
	* src/baobab-utils.c: (dir_select):  Fix window title 
	capitalization.
	* src/baobab-treeview.c: (create_search_model):  Update to
	updated menu item.
	
2006-04-23  Emmanuele Bassi  <ebassi@cvs.mate.org>

	* data/Makefile.am: Revert the libglade hack, and add a BFN
	about it.

	* pixmaps/Makefile.am: Use datadir instead of pkgdatadir.

	* help/.cvsignore: Update.

2006-04-23  Emmanuele Bassi  <ebassi@cvs.mate.org>

	* *: Initial import inside mate-utils.

2006-04-22  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-utils.c: fixed bug on deleting files

2006-04-21  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.ac:

        Bumped post-release version

2006-04-21  Fabio Marzocca  <thesaltydog@gmail.com>

	* Makefile.am:
	* NEWS:
	* configure.ac:
   
        Released v.2.4.1

2006-04-21  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* po/it.po:
	* src/baobab-treeview.c: 
	* src/baobab-utils.c: 
	* src/baobab-utils.h:
	* src/baobab.c: 
	* src/callbacks.c: 
	* src/callbacks.h:

	Added treemap item in View Menu

2006-04-21  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/Makefile.am:
	* src/baobab-scan.c: moved hardlinks.c here
	* src/baobab-scan.h: move hardlinks.h here

2006-04-21  Fabio Marzocca  <thesaltydog@gmail.com>

	* po/POTFILES.in:
	* po/POTFILES.skip:
	* src/Makefile.am:
	* src/baobab-prefs.c: renamed from props.c
	* src/baobab-prefs.h: renamed from props.h
	* src/baobab.c:
	* src/callbacks.c:

2006-04-21  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/callbacks.c:
	* src/baobab-utils.c:

	factor out a set_busy method and cache the animation pixbufs.

2006-04-21  Paolo Borelli  <pborelli@katamail.com>

	* pixmaps/Makefile.am:
	* baobab.glade:
	* src/baobab.c:
	* src/callbacks.c:
	* src/baobab-utils.c:

	Make app icon themable

2006-04-20  Paolo Borelli  <pborelli@katamail.com>

	* src/callbacks.c:
	* src/tv.c: move tv callbacks here.
	* src/baobab_globals.[ch]: remove
	* src/baobab-utils.[ch]: renamed from bb_util
	* src/baobab-scan.[ch]: renamed from bbthread
	* src/baobab-treeview.[ch]: renamed from tv
	* src/baobab-graphwin.[ch]: renamed from bb_graphwin

2006-04-20  Fabio Marzocca  <thesaltydog@gmail.com>

	* MAINTAINERS:
	* src/callbacks.c: (on_about1_activate):

	Updated maintainers

2006-04-20  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c: plug some more leaks and simplify string
	handling.

2006-04-20  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_util.c: (dialog_search): fixed bug on logic

2006-04-20  Paolo Borelli  <pborelli@katamail.com>

	* src/bb_util.c: rework find dialog logic

2006-04-20  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/baobab.c: (baobab_toolbar_style), (baobab_init):
	* src/baobab.h:
	* src/bb_util.c: (check_menu_sens):

        Set toolbar style to system global

2006-04-20  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c: do not leak pixbuf.

2006-04-19  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.[ch]:
	* src/callbacks.c:
	* src/props.c:

	store toolbar and statusbar visibility in mateconf.

2006-04-19  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* data/Makefile.am:

	Fix mateconf schemas install.

2006-04-19  Fabio Marzocca  <thesaltydog@gmail.com>

	* INSTALL:
	* data/.cvsignore:
	* data/Makefile.am:
	* data/baobab.schemas.in:
	* po/POTFILES.in:
	* po/it.po:
	* src/props.c: (create_props_model):

       Introducing schemas file

2006-04-19  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/props.c: (create_tree_props), (check_toggled),
	(fill_props_model):
	* src/props.h:

2006-04-19  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/bb_util.c: (check_menu_sens):
	* src/callbacks.c: (on_pref_menu), (on_view_tb_activate),
	(on_view_sb_activate):
	* src/callbacks.h:

        Relocated toolbar buttons
        Introduced a View menu

2006-04-12  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-tree-map.c:
	* src/baobab-tree-map.h:
	Added GPL boilerplate

2006-04-12  Paolo Borelli  <pborelli@katamail.com>

	* src/bb_util.[ch]: pass a const string to set_statusbar
	* src/callbacks.c: escape the string caller side.

2006-04-12  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.desktop.in.in:
	* po/it.po:
	* src/callbacks.c: (on_about1_activate):

2006-04-12  Paolo Borelli  <pborelli@katamail.com>

	* src/bb_util.c: fix ICC warnings.
	* src/baobab-remote-connect-dialog.c: ditto.

2006-04-12  Fabio Marzocca  <thesaltydog@gmail.com>

	* po/it.po: updated italian translation

2006-04-12  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/bb_util.c (dir_select), (baobab_check_dir):
	Terminology changes: folder vs directory

2006-04-12  Paolo Borelli  <pborelli@katamail.com>

	* src/bb_util.c: do not leak the animation and check a 
	MateVfsResult.

2006-04-12  Paolo Borelli  <pborelli@katamail.com>

	* src/*.[ch]: run the code through indent and add GPL
	boilerplate.

2006-04-11  Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.[ch]: move scan_is_local here. Factor out an
	is_excluded_dir() function.
	* src/bb_util.[ch]: use is_excluded_dir() and other cleanups.
	* src/bb_thread.[ch]: use is_excluded_dir() and other cleanups.
	Fix leaks on error paths.
	* src/props.c: fix sign comparison warning.

2006-04-11  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: rename from configure.in, bump version.

2006-04-11  Paolo Borelli  <pborelli@katamail.com>

	* Makefile.am
	* src/Makefile.am
	* src/baobab.[ch]:

	define the glade file location and pixmap dir at compile time
	instead of constructing the path. Also misc indentation
	cleanups.

	* src/bb_utils.c:
	* src/callbacks.c:
	* src/props.c:

	adapt to above changes.

	* .cvsignore: updates

2006-02-28  Fabio Marzocca  <thesaltydog@gmail.com>

	* .cvsignore:
	* po/.cvsignore:

2006-02-23  Fabio Marzocca  <thesaltydog@gmail.com>

	* Makefile.am:

	Removed bug on distclean

2006-02-23  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:
	* configure.in:

        Released v.2.3.2

2006-02-23  Fabio Marzocca  <thesaltydog@gmail.com>

	* autogen.sh:
	* config.h.in:
	* configure.in:
	* install-sh:
	* intltool-extract.in:
	* intltool-merge.in:
	* intltool-update.in:
	* missing:
	* mkinstalldirs:
	* src/callbacks.c: (on_about1_activate):
	* src/props.c: (set_mateconf_list):

        Moved to automake1.8

2006-02-01  Ilkka Tuohela  <hile@iki.fi>

	* configure.in: Added "fi" to ALL_LINGUAS

2006-01-11  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

	Bumped post-release version

2006-01-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:
	* configure.in:

	Released v. 2.3.1

2006-01-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (baobab_init):
	* src/bb_util.c: (baobab_get_filesystem):
	* src/callbacks.c: (volume_changed), (on_propstb_clicked):
	* src/props.c: (fill_props_model):
	* src/tv.c: (create_directorytreeview):

	Do not popup preference window upon (un)mounting partitions

2006-01-03  Stanislav Brabec  <sbrabec@suse.cz>

	* configure.in: Added vi to ALL_LINGUAS.

2005-12-31  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/callbacks.c: (on_sort_alfa_activate),
	(on_by_sort_size_activate):
	* src/tv.c: (create_model), (create_search_model):

        Trees sorted by size by default

2005-12-26  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

	Bumped post-release version

2005-12-26  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:
	* configure.in:

	Released v.2.3.0

2005-12-20  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.desktop.in.in:

        Moved menu in Applications->Accessories

2005-12-18  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_util.c: (baobab_check_dir):
	* src/bbthread.c: (getDir):

	Scanning can now start from a sym-link too.

2005-12-14  Stanislav Brabec  <utx@penguin.cz>

	* configure.in: Added cs to ALL_LINGUAS.

2005-12-13  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:

2005-12-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

        Bumped post-release version

2005-12-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:
	* configure.in:
	* src/bbthread.c: (loopsearch):

        Release v.2.2.2

2005-12-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:
	* src/bbthread.c: (loopdir):

        Fixed buf on allocated size

2005-12-06  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:

2005-12-06  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

        Release v.2.2.1

2005-12-06  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

2005-12-06  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bbthread.c: (bb_scan_is_local):
	* src/props.c: (check_toggled):
        
        Fixes bug #323331

2005-11-28  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

        Bumped new cvs version

2005-11-28  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:
	* configure.in:
	* data/baobab.1:

	Released v.2.2.0

2005-11-28  Fabio Marzocca  <thesaltydog@gmail.com>

	* po/fr.po:

2005-11-28  Fabio Marzocca  <thesaltydog@gmail.com>

	* po/fr.po:

2005-11-20  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (start_proc_on_dir):
	* src/bbthread.c: (bb_scan_is_local):
	* src/callbacks.c: (on_notebook1_switch_page):

2005-11-19  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab-remote-connect-dialog.c: (remote_connect):
	* src/baobab.c: (start_proc_on_dir):
	* src/bb_util.c: (baobab_check_dir), (open_file_with_application):
	* src/bbthread.c: (loopdir), (getDir), (bb_scan_is_local):
	* src/callbacks.c: (on_tb_scan_remote_clicked):
       
        Removed bug on MateVFSFileInfo use. 

2005-11-18  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* data/baobab.1:
	* po/POTFILES.in:
	* po/it.po:
	* src/Makefile.am:
	* src/baobab-remote-connect-dialog.c:
	(baobab_remote_connect_dialog_finalize), (remote_connect),
	(response_callback), (baobab_remote_connect_dialog_class_init),
	(setup_for_type), (combo_changed_callback), (port_insert_text),
	(baobab_remote_connect_dialog_init),
	(baobab_remote_connect_dialog_new):
	* src/baobab-remote-connect-dialog.h:
	* src/baobab.c: (start_proc_on_dir), (start_search),
	(prefill_model), (fill_model), (baobab_init):
	* src/baobab.h:
	* src/bb_util.c: (check_menu_sens):
	* src/bbthread.c: (loopdir), (getDir), (bb_scan_is_local):
	* src/bbthread.h:
	* src/callbacks.c: (on_tbscanall_clicked),
	(on_tb_scan_remote_clicked), (on_menu_scan_rem_activate),
	(graph_map_cb), (on_ck_allocated_toggled):
	* src/callbacks.h:

	Now baobab can also scan remote folders, with SSH-FTP-WEBDAV-SMB
        protocols. 

2005-11-17  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (fill_model), (main):
	* src/bbthread.c: (loopsearch), (loopdir):

2005-11-17  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c:
	* src/bb_graphwin.c: (quit_canvas), (tm_popupmenu):
	* src/bb_util.c: (get_trash_path), (trash_file):
	* src/bb_util.h:

	Fixed bug in trash file

2005-11-17  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/baobab.c: (start_search), (fill_search_model),
	(prepare_firstcol), (get_file_filter):
	* src/baobab.h:
	* src/bb_util.c: (open_file_with_application):
	* src/bbthread.c: (loopsearch), (searchDir):
	* src/callbacks.c: (on_tv_cur_changed),
	(on_btn_select_search_clicked), (open_file_cb):

        Using MateVFSURI in file-search functions

2005-11-17  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (start_proc_on_dir), (main):
	* src/baobab.h:
	* src/bb_util.c: (dir_select), (on_toggled), (show_bars),
	(message), (messageyesno), (baobab_check_dir), (contents_changed):
	* src/bbthread.c: (loopdir), (getDir):
	* src/bbthread.h:
	* src/callbacks.c: (on_menuallfs_activate), (on_tbscanall_clicked):

        Introducing MateVFSURI

2005-11-16  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (start_proc_on_dir), (main):
	* src/baobab.h:
	* src/bb_util.c: (dir_select), (contents_changed):
	* src/bbthread.c: (getDir):
	* src/bbthread.h:
	* src/callbacks.c: (on_menuallfs_activate), (on_tbscanall_clicked):

2005-11-16  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bbthread.c: (loopdir):

        Escaped folder names  starting with '#'

2005-11-16  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:
	* src/baobab.c: (list_find), (baobab_init):
	* src/bbthread.c: (loopdir), (getDir):
	* src/hardlinks.c: (baobab_hardlinks_array_create),
	(baobab_hardlinks_array_has), (baobab_hardlinks_array_add):
	* src/hardlinks.h:
	* src/props.c:

        Switched to MateVFS in loopdir() and hardlinks.ch

2005-11-14  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/baobab.c: (fill_model):

2005-11-14  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

        Bumped post-release version

2005-11-14  Guilherme de S. Pastore  <gpastore@gnome.org>

	* baobab.glade: replace "KB" with "kB" (K is Kelvin,
	k is kilo), fixes bug #321402

2005-11-14  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:
	* src/bb_graphwin.c: (graph_save_cb):
        
        Released v.2.0.1

2005-11-14  Guilherme de S. Pastore  <gpastore@gnome.org>

	* configure.in: added pt_BR to ALL_LINGUAS.

2005-11-13  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

        Bumped post-release version

2005-11-13  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:

        Released v. 2.0.0

2005-11-13  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/baobab-tree-map.c:
	* src/baobab-tree-map.h:
	* src/baobab-treemap.c:
	* src/baobab-treemap.h:
	* src/bb_graphwin.c: (create_bb_treemap), (zoom_in_cb),
	(zoom_out_cb), (zoom_100_cb), (tm_popupmenu), (graph_save_cb),
	(tm_spin_changed), (tm_refresh):
	* src/callbacks.c: (graph_map_cb):

        Changed treemap namespace in baobab-tree-map

2005-11-11  Fabio Marzocca  <thesaltydog@gmail.com>

	* AUTHORS:
	* po/POTFILES.in:
	* po/it.po:
	* src/Makefile.am:
	* src/baobab-treemap.c:
	* src/baobab-treemap.h:
	* src/bb_graphwin.c: (create_bb_treemap), (quit_canvas),
	(zoom_in_cb), (zoom_out_cb), (zoom_100_cb), (tm_popupmenu),
	(graph_save_cb), (open_folder_cb), (open_file_with_application),
	(tm_spin_changed), (tm_refresh):
	* src/bb_graphwin.h:
	* src/bb_treemap.c:
	* src/bb_treemap.h:
	* src/callbacks.c: (on_about1_activate), (graph_map_cb):
 
         GObjectified treemap into a general purpose treemap view

2005-11-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (prefill_model):

	Fixed main memory leak in baobab.c

2005-11-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap), (bb_draw_treemap),
	(quit_canvas), (graph_save_cb), (tm_refresh):

	Fixed memory leaks

2005-11-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* po/it.po:
	* src/bb_treemap.c: (create_bb_treemap), (draw_rect),
	(bb_draw_treemap), (tm_refresh), (bb_clear_canvas),
	(bb_treemap_get_total_elements):

	Added function to display total folders number in tremap

2005-11-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:
	* po/ChangeLog:
	* po/ru.po:

	Added russian translation

2005-11-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap):
	* src/bb_treemap.h:
	* src/bb_util.c: (popupmenu_list):
	* src/callbacks.c: (graph_map_cb):
	* src/callbacks.h:

2005-11-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap):
	* src/bb_treemap.h:
	* src/callbacks.c: (graph_map_cb):

2005-11-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap), (draw_rect),
	(loop_treemap), (open_file_with_application):
	* src/bb_treemap.h:
	* src/callbacks.c: (on_menuallfs_activate),
	(on_menuscandir_activate), (on_esci1_activate), (graph_map_cb):

2005-11-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* po/it.po:
	* src/bb_treemap.c: (create_bb_treemap), (bb_draw_treemap),
	(loop_treemap), (tm_spin_changed), (tm_refresh), (bb_clear_canvas):

        Added bb_clear_canvas. Replaced ALL with Unlimited in depth level

2005-11-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/bb_treemap.c: (create_bb_treemap), (zoom_in_cb),
	(zoom_out_cb), (zoom_100_cb), (bb_draw_treemap), (loop_treemap),
	(item_event), (quit_canvas), (graph_save_cb),
	(open_file_with_application), (tm_spin_changed), (tm_refresh):
	* src/bb_treemap.h:
	* src/callbacks.c: (graph_map_cb):

       Added spin button to change treemap's depth

2005-11-09  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap):

	Closes:#321014

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/baobab.c: (first_row):
	* src/bb_util.c: (popupmenu_list), (popupmenu_list_search),
	(dialog_search):
	* src/callbacks.c: (on_tv_button_press):
	* src/tv.c: (create_search_model):

        Fixed program crash on search dialog

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/Makefile.am:

       exporting functions for libglade

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* data/baobab.1:

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* Makefile.am:

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* .cvsignore:
	* Makefile.am:
	* baobab.prj:

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* .cvsignore:
	* baobab.gladep:

        Removed gladep file

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* Makefile.am:
	* baobab.glade:
	* baobab.gladep:
	* configure.in:
	* data/Makefile.am:
	* pixmaps/Makefile.am:
	* pixmaps/shot.png:
	* po/POTFILES.in:
	* po/de.po:
	* po/en_CA.po:
	* po/es.po:
	* po/eu.po:
	* po/fr.po:
	* po/it.po:
	* po/ja.po:
	* po/pl.po:
	* po/sv.po:
	* po/zh_CN.po:
	* src/Makefile.am:
	* src/baobab.c: (baobab_init), (baobab_close), (main):
	* src/baobab.h:
	* src/bb_support.c:
	* src/bb_support.h:
	* src/bb_treemap.c: (create_bb_treemap), (draw_rect), (zoom_in_cb),
	(zoom_out_cb), (zoom_100_cb), (baobab_get_pixels_per_unit),
	(bb_draw_treemap), (loop_treemap), (setup_widget_item),
	(item_event), (popupmenu_canvas), (quit_canvas), (graph_save_cb),
	(open_folder_cb), (open_file_with_application):
	* src/bb_treemap.h:
	* src/bb_util.c: (find_pixmap_file), (set_statusbar),
	(change_icon), (set_bar), (check_menu_sens), (popupmenu_list),
	(dialog_search), (save_search_opt), (set_search_opt),
	(switch_view), (get_NB_page), (show_label), (contents_changed),
	(baobab_load_pixbuf), (baobab_get_icon):
	* src/bb_util.h:
	* src/bbthread.c:
	* src/callbacks.c: (on_radio_allfs_clicked),
	(on_radio_dir_clicked), (on_btn_select_search_clicked),
	(on_notebook1_switch_page), (graph_map_cb), (contents_changed_cb),
	(on_pref_menu):
	* src/callbacks.h:
	* src/interface.c:
	* src/interface.h:
	* src/props.c: (create_props), (create_tree_props):
	* src/tv.c: (create_directorytreeview), (create_tree_filesearch),
	(create_search_model):

        Merged treemap branch

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (setup_widget_item), (popupmenu_canvas),
	(quit_canvas), (open_folder_cb):

        More cleaning and removing memory leaks

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap):

        Code cleanup

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* po/POTFILES.in:
	* po/it.po:
	* src/Makefile.am:
	* src/baobab.c: (main):
	* src/bb_support.c:
	* src/bb_support.h:
	* src/bb_treemap.c:
	* src/bb_util.c: (find_pixmap_file), (set_bar), (popupmenu_list),
	(contents_changed), (baobab_load_pixbuf), (baobab_get_icon):
	* src/bb_util.h:
	* src/bbthread.c:
	* src/callbacks.c:
	* src/props.c:
	* src/tv.c:

        Dropped bb_support.c/h

2005-11-08  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/baobab.c: (main):
	* src/bb_treemap.c: (create_bb_treemap):
     
        set default icon
		
2005-11-07  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (baobab_close):
	* src/baobab.h:
	* src/bb_util.c: (popupmenu_list), (popupmenu_list_search):
	* src/callbacks.c: (open_file_cb), (trash_file_cb), (trash_dir_cb),
	(list_all_cb):
	* src/callbacks.h:
	* src/tv.c: (create_search_model):

	Reworked these callbacks.
	Store the selected_path in baobab_application.


2005-11-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (popupmenu_canvas), (graph_save_cb),
	(open_folder_cb), (open_file_with_application):

2005-11-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* po/it.po:
	* src/bb_treemap.c: (create_bb_treemap), (bb_draw_treemap),
	(loop_treemap), (graph_save_cb):
	* src/bb_treemap.h:
	* src/callbacks.c: (graph_map_cb):

2005-11-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/bb_treemap.c: (create_bb_treemap), (draw_rect), (zoom_in_cb),
	(zoom_out_cb), (zoom_100_cb), (baobab_get_pixels_per_unit),
	(bb_draw_treemap), (loop_treemap), (setup_widget_item),
	(item_event), (popupmenu_canvas), (quit_canvas), (graph_save_cb):
	* src/bb_treemap.h:

       Multi-window treemap mode. Removed s-handlers from glade

2005-11-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_util.c: (dialog_search):
	* src/props.c: (create_props):

        Unreferenced glade objects

2005-11-07  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* pixmaps/Makefile.am:
	* pixmaps/shot.png:
	* src/baobab.h:
	* src/bb_treemap.c: (create_bb_treemap), (draw_rect), (zoom_in_cb),
	(zoom_out_cb), (zoom_100_cb), (baobab_get_pixels_per_unit),
	(bb_draw_treemap), (loop_treemap), (popupmenu_canvas),
	(quit_canvas), (graph_save_cb):
	* src/bb_treemap.h:
	* src/callbacks.c: (contents_changed_cb),
	(on_ck_allocated_toggled):

2005-11-06  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap), (draw_rect),
	(bb_draw_treemap), (loop_treemap), (setup_widget_item),
	(item_event), (popupmenu_canvas):

        Treemap starts working

2005-11-06  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/bb_treemap.c: (create_bb_treemap), (draw_rect), (zoom_in_cb),
	(zoom_out_cb), (zoom_100_cb), (loop_treemap):
	* src/bb_treemap.h:
	* src/callbacks.c: (on_graph_close_btn_clicked):

        Using rendering RGB buffer for treemap

2005-11-05  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap), (bb_draw_treemap),
	(loop_treemap):

2005-11-05  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/bb_treemap.c: (create_bb_treemap), (draw_rect),
	(bb_draw_treemap), (loop_treemap):

2005-11-04  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* configure.in:
	* po/POTFILES.in:
	* po/it.po:
	* src/Makefile.am:
	* src/baobab.h:
	* src/bb_treemap.c: (create_bb_treemap), (draw_rect), (zoom_in),
	(zoom_out), (zoom_100), (baobab_get_pixels_per_unit),
	(bb_draw_treemap):
	* src/bb_treemap.h:
	* src/bb_util.c: (popupmenu_list):
	* src/callbacks.c: (graph_map_cb), (on_ck_allocated_toggled),
	(on_graph_close_btn_clicked), (on_graph_zoom_in_clicked),
	(on_graph_zoom_out_clicked), (on_graph_zoom_100_clicked):
	* src/callbacks.h:

        Started coding treemap

2005-11-04  Fabio Marzocca  <thesaltydog@gmail.com>

	* Makefile.am:
	* baobab.glade:
	* po/POTFILES.in:
	* po/de.po:
	* po/en_CA.po:
	* po/es.po:
	* po/eu.po:
	* po/fr.po:
	* po/it.po:
	* po/ja.po:
	* po/pl.po:
	* po/sv.po:
	* po/zh_CN.po:
	* src/Makefile.am:
	* src/baobab.c: (baobab_init), (baobab_close), (main):
	* src/baobab.h:
	* src/bb_support.c:
	* src/bb_support.h:
	* src/bb_util.c: (set_statusbar), (change_icon), (check_menu_sens),
	(dialog_search), (save_search_opt), (set_search_opt),
	(switch_view), (get_NB_page), (show_label):
	* src/bbthread.c:
	* src/callbacks.c: (on_radio_allfs_clicked),
	(on_radio_dir_clicked), (on_btn_select_search_clicked),
	(on_notebook1_switch_page), (on_pref_menu):
	* src/callbacks.h:
	* src/interface.c:
	* src/interface.h:
	* src/props.c: (create_props), (create_tree_props):
	* src/tv.c: (create_directorytreeview), (create_tree_filesearch):

        Dropped interface.ch - Using dynamic GladeXML

2005-11-03  Fabio Marzocca  <thesaltydog@gmail.com>

	* Makefile.am:
	* baobab.glade:
	* baobab.gladep:
	* configure.in:
	* data/Makefile.am:
	* data/baobab.glade:
	* data/baobab.gladep:
	* pixmaps/Makefile.am:
	* src/baobab.c: (baobab_init), (main):
	* src/baobab.h:

2005-11-03  Fabio Marzocca,,,  <thesaltydog@gmail.com>

	* Makefile.am:
	* baobab.glade:
	* baobab.gladep:
	* data/Makefile.am:
	* data/baobab.glade:
	* data/baobab.gladep:

        Moved glade files in data dir

2005-11-03  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/interface.c: (create_graph_win):

2005-11-03  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.glade:
	* src/interface.c: (create__about), (create_dialog_scan_props),
	(create_graph_win):
	* src/interface.h:

        Updated glade with new window for graphic map

2005-11-03  Fabio Marzocca  <thesaltydog@gmail.com>

	* configure.in:

        Bumped new version 2.0.0

2005-11-01  Fabio Marzocca,,,  <thesaltydog@gmail.com>

	* Makefile.am:
	* baobab.png:
	* configure.in:
	* pixmaps/.cvsignore:
	* pixmaps/Makefile.am:
	* pixmaps/baobab.png:

        Fixed pixmap dir

2005-11-01  Fabio Marzocca  <thesaltydog@gmail.com>

	* Makefile.am:
	* src/baobab.h:
       
        Relocated pixmap dir
    
2005-11-01  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* src/baobab.c: (main):
	* src/bb_support.c: (find_pixmap_file),
	(glade_set_atk_action_description), (baobab_get_icon):
	* src/bb_support.h:
	* src/callbacks.c: (on_about1_activate):

	Fixed icon and pictures lookup.
	Added baobab_get_icon() to get application icon.
	Bumped version.

2005-11-01  Benoît Dejean  <benoit@placenet.org>

	* Makefile.am:
	* pixmaps/baobab.png:
	* baobab.png:

	Moved the icon and fixed install rule.

	* data/Makefile.am:
	* data/baobab.desktop:

	Dropped that desktop file.

2005-10-31  Benoît Dejean  <benoit@placenet.org>

	* .cvsignore:
	* Makefile.am:
	* intltool-extract.in:
	* intltool-merge.in:
	* intltool-update.in:
	* po/POTFILES.in:
	* po/POTFILES.skip:

	Fixed distcheck.

	* src/interface.c:
	* src/support.c:
	* src/support.h:

	Dropped support.[ch].

2005-10-31  Fabio Marzocca  <thesaltydog@gmail.com>

	* NEWS:
	* configure.in:
        
        Released 1.3.0

2005-10-25  Fabio Marzocca  <thesaltydog@gmail.com>

	* src/hardlinks.c: (baobab_hardlinks_array_free):
         
	Removed debugging code

2005-10-25  Fabio Marzocca  <thesaltydog@gmail.com>

	* baobab.pws:
	* po/it.po:

2005-10-19  Fabio Marzocca,,,  <thesaltydog@gmail.com>

	* README:
	* baobab.prj:
	* src/callbacks.c: (on_about1_activate):

        Changed website url address.

2005-10-19  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2005-10-19  Benoît Dejean  <benoit@placenet.org>

	* src/Makefile.am:
	* src/baobab.h:
	* src/baobab_globals.c:
	* src/baobab_globals.h:
	* src/bb_util.c: (baobab_get_filesystem), (set_label_scan):
	* src/bb_util.h:

	Move globals definition outside of baobab.h.
	Also fixes baobab.h include guard.

2005-10-16  Benoît Dejean  <benoit@placenet.org>

	* Makefile.am:
	* configure.in:
	* scripts/.cvsignore:
	* scripts/Makefile.am:
	* scripts/naut-script.sh:
	* src/baobab.c: (main):
	* src/bb_util.c: (baobab_check_dir):
	* src/bb_util.h:

	Dropped the caja script. It's useless as caja can do
	it with "Open with".

2005-10-16  Takeshi AIHANA <aihana@mate.gr.jp>

	* configure.in: Added 'ja' (Japanese) to ALL_LINGUAS.

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* src/bb_util.c: (show_label):

	Cleaned and fixed logic.

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (fill_model): ngettext love.

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* src/Makefile.am:
	* src/baobab.c: (main):

	Fixed program init. Marked static baobab_{init,close}().

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* src/*.[ch]: Made gcc-2.95 happy.
	MATE C is C89.


2005-10-14  Fabio Marzocca,,,  <thesaltydog@gmail.com>

	* src/bb_util.c: (baobab_check_dir):

        dropped deadcode functions.

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* TODO:

	New item.

	* src/Makefile.am:
	* src/bbthread.c: (loopdir), (getDir), (searchDir):
	* src/hardlinks.c: (baobab_hardlinks_array_create),
	(baobab_hardlinks_array_has), (baobab_hardlinks_array_add),
	(baobab_hardlinks_array_free):
	* src/hardlinks.h:

	Moved the hardlink detection code to hardlinks.[ch].
	No more global.
	Fixed lookup (inode number is unique per filesystem,
	not globally).

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (fill_model):

	Yet another leak.

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (prefill_model):

	Fixed one more leak.

2005-10-14  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (check_UTF):
	
	Fixed logic to plug 2 leaks.
	
	* src/bb_util.c: (set_statusbar):

	Fixed 1 leak.

2005-10-12  Funda Wang  <fundawang@linux.net.cn>

	* configure.in: Added Simplified Chinese translation.

2005-10-11  Fabio Marzocca  <thesaltydog@gmail.com>

	* MAINTAINERS: file added


2005-10-11  Benoît Dejean  <benoit@placenet.org>

	* scripts/naut-script.sh:
	
	Added exec statement.

2005-10-11  Benoît Dejean  <benoit@placenet.org>

	* Makefile.am:
	* baobab.desktop.in.in:
	* configure.in:

	Added desktop file.

2005-10-11  Benoît Dejean  <benoit@placenet.org>

	* src/bbthread.c:
	* src/props.c:

	Added missing <config.h>.

2005-10-11  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (start_proc_on_dir):
	* src/bb_util.c: (baobab_check_dir):
	* src/bb_util.h:

	check_dir -> baobab_check_dir.
	Fixed prototype. Cleaned. Fixed string surgery.

2005-10-11  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (main):
	* src/baobab.h:
	* src/bb_util.c: (baobab_get_filesystem), (contents_changed):
	* src/bb_util.h:
	* src/props.c: (props_notify), (fill_props_model):

	Changed getFileSystem prototype and renamed to
	baobab_get_filesystem. Cleaned it.
	Fixed glibtop usage (free -> g_free).

2005-10-11  Benoît Dejean  <benoit@placenet.org>

	* src/baobab.c: (baobab_close), (main):

	Added missing libgtop init/shutdown.

2005-10-10  Benoît Dejean  <benoit@placenet.org>

	* AUTHORS:
	* src/callbacks.c: (on_about1_activate):
	* src/interface.c:
	* src/interface.h (create__about): Removed that function.
	
	Reworked and simplified the about dialog. Moved some people to AUTHORS.

2005-10-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* .cvsignore:
	* AUTHORS:
	* baobab.pws:

        removed baobab.pws and added to cvsignore
        added Benoit Dejean to AUTHORS

2005-10-10  Fabio Marzocca  <thesaltydog@gmail.com>

	* AUTHORS:
	* baobab.pws:

2005-10-10  Fabio Marzocca  <thesaltydog@gmail.com>

    * .cvsignore: added .tm_project.cache baobab.prj.bak
	
2005-10-10  Benoît Dejean  <benoit@placenet.org>

	* .tm_project.cache: Dropped.

2005-10-10  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* src/Makefile.am:
	
	Cleaned a bit. Stricter CFLAGS.
	
	* src/baobab.h:
	* src/bb_util.c:
	
	Remove duplicate _DIR_*.
	Fixed some warnings.

2005-10-10  Benoît Dejean  <benoit@placenet.org>

	* .cvsignore:
	* Makefile.in:
	* aclocal.m4:
	* autom4te.cache/output.0:
	* autom4te.cache/requests:
	* autom4te.cache/traces.0:
	* configure:
	* data/.cvsignore:
	* data/Makefile.in:
	* po/.cvsignore:
	* po/Makefile.in.in:
	* scripts/.cvsignore:
	* scripts/Makefile.in:
	* src/.cvsignore:
	* src/Makefile.in:
	
	Removed autogenerated files and added .cvsignore files.

2005-10-10  Fabio Marzocca  <thesaltydog@gmail.com>

    * po/.cvsignore:
	* po/*.gmo:
	* src/.cvsignore:
	* src/baobab
	
	Added missing files to .cvsignore
